# Ce plug-in permet de changer d'unit decimal(-dec), architecture (-arc), fractionnaire(-fra), ingnieurie (-ing) en changant de scene
# le plugin scrutte les 4 dernires lettres de la scene active et change les units en fonction de celle-ci
# Les codes unites peut etre saisie en minuscule ou en majuscule
# auteur: Denis Bolomier Adebeo
# 13 avril 2010

 class MyPagesObserver < Sketchup::PagesObserver
   def onContentsModified(pages)
	 model = Sketchup.active_model
	 page = pages.selected_page.name
	 debutscene = pages.selected_page.name
	 debutscene = debutscene[-4,4]
	 case debutscene
		 when "-dec","-Dec","-DEC"
		 model.options["UnitsOptions"][1] = 0
		 when "-arc","-Arc","-ARC"
		 model.options["UnitsOptions"][1] = 1
		 when "-fra","-Fra","-FRA"
		 model.options["UnitsOptions"][1] = 2
		 when "-ing","-Ing","-ING"
		 model.options["UnitsOptions"][1] = 3
	 end
	refreshed_view = model.active_view.refresh
   end
 end

Sketchup.active_model.pages.add_observer(MyPagesObserver.new)
    
file_loaded("unit_change_with_scene.rb")
